[arch-commits] Commit in xfce4-taskmanager/trunk (2 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun Jun 13 14:44:53 UTC 2010


    Date: Sunday, June 13, 2010 @ 10:44:53
  Author: andyrtr
Revision: 82559

upgpkg: xfce4-taskmanager 0.5.92-1
new version 0.5.92 + a fix for proper memory calculation on x86_64 systems

Added:
  xfce4-taskmanager/trunk/0001-linux-Fix-64-bit-issue-for-the-system-Memory-usage.patch
Modified:
  xfce4-taskmanager/trunk/PKGBUILD

---------------------------------------------------------------+
 0001-linux-Fix-64-bit-issue-for-the-system-Memory-usage.patch |   25 ++++++++++
 PKGBUILD                                                      |    9 ++-
 2 files changed, 31 insertions(+), 3 deletions(-)

Added: 0001-linux-Fix-64-bit-issue-for-the-system-Memory-usage.patch
===================================================================
--- 0001-linux-Fix-64-bit-issue-for-the-system-Memory-usage.patch	                        (rev 0)
+++ 0001-linux-Fix-64-bit-issue-for-the-system-Memory-usage.patch	2010-06-13 14:44:53 UTC (rev 82559)
@@ -0,0 +1,25 @@
+ src/task-manager-linux.c |    7 +++++++
+ 1 files changed, 7 insertions(+), 0 deletions(-)
+
+diff --git a/src/task-manager-linux.c b/src/task-manager-linux.c
+index 938cee8..f329629 100644
+--- a/src/task-manager-linux.c
++++ b/src/task-manager-linux.c
+@@ -30,6 +30,13 @@ get_memory_usage (guint64 *memory_total, guint64 *memory_free, guint64 *memory_c
+ 	gchar *filename = "/proc/meminfo";
+ 	gushort found = 0;
+ 
++	*memory_total = 0;
++	*memory_free = 0;
++	*memory_cache = 0;
++	*memory_buffers = 0;
++	*swap_total = 0;
++	*swap_free = 0;
++
+ 	if ((file = fopen (filename, "r")) == NULL)
+ 		return FALSE;
+ 
+-- 
+1.7.0.4
+
+

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-13 13:12:20 UTC (rev 82558)
+++ PKGBUILD	2010-06-13 14:44:53 UTC (rev 82559)
@@ -13,11 +13,14 @@
 makedepends=('pkgconfig' 'intltool')
 options=('!libtool')
 source=(#http://goodies.xfce.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.bz2
-	http://dl.dropbox.com/u/2670286/taskmgr/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('4d725c1e5df70867684f6078d185e46c')
+	http://dl.dropbox.com/u/2670286/taskmgr/${pkgname}-${pkgver}.tar.bz2
+	0001-linux-Fix-64-bit-issue-for-the-system-Memory-usage.patch)
+md5sums=('4d725c1e5df70867684f6078d185e46c'
+         '09d0a4c7e99d50178e9e013427ffbd61')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np1 -i ${srcdir}/0001-linux-Fix-64-bit-issue-for-the-system-Memory-usage.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/xfce4 \
     --localstatedir=/var --disable-static
   make || return 1




More information about the arch-commits mailing list